Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5285 - /usr/bin/time returns negative elapsed time
Summary: /usr/bin/time returns negative elapsed time
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-21 21:48 UTC by rod.skinner
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-16 14:00:02 UTC


Attachments (Terms of Use)

Description rod.skinner 1999-09-21 21:48:24 UTC
The standard time from the 2.2.5-15 release that is
installed by the Redhat install routines works fine.  I re-
compile the kernel that installed at /usr/src/linux and the
time command will return a negative value for the elapsed
time.

I built the kernel with make xconfig, followed by the make
commands:

make dep
make
make install
make modules
make modules_install

The new kernel loads and seems to run fine.  The only
problem that I have seen is that about one of three times
the command:

time sleep 1

will return a negative "elapsed" time.  The other time
fields in the display seem to be OK.

I am using the Linux SMP mode on an 8-processor Pentium III
processor system.


Note You need to log in before you can comment on or make changes to this bug.